#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
# http://www.powershell-doktor.de
########################################
### Tworzenie lokalnego konta użytkownika

# Parametry
$ImięNazwisko = "Dr Holger Schwichtenberg"
$NazwaKonta = "HolgerSchwichtenberg"
$Opis = "Owner of Website windows-scripting.com"
$Hasło = "secret+123"
$Komputer = "localhost"

"Tworzenie użytkownika na komputerze $Komputer"

# Dostęp do kontenera
$Kontener = [ADSI] "WinNT://$Komputer"

# Tworzenie użytkownika
$obiektUżytkownik = $Kontener.Create("user", $NazwaKonta)
$obiektUżytkownik.Put("Pełna nazwa", $ImięNazwisko)
$obiektUżytkownik.Put("Opis", $Opis)
# Określanie hasła
$obiektUżytkownik.SetPassword($Hasło)
# Zapisywanie zmian
$obiektUżytkownik.SetInfo()

"Utworzono użytkownika: $ImięNazwisko"

